# module Gem::DefaultUserInteraction

`Module` that defines the default `UserInteraction`. Any class including this module will have access to the `ui` method that returns the default UI.

### Public Class Methods

ui ()
Source

    # File lib/rubygems/user_interaction.rb, line 28
    def self.ui
      @ui ||= Gem::ConsoleUI.new
    end

Return the default UI.

ui= (new_ui)
Source

    # File lib/rubygems/user_interaction.rb, line 36
    def self.ui=(new_ui)
      @ui = new_ui
    end

`Set` the default UI. If the default UI is never explicitly set, a simple console based `UserInteraction` will be used automatically.

use_ui (new_ui) { || ... }
Source

    # File lib/rubygems/user_interaction.rb, line 43
    def self.use_ui(new_ui)
      old_ui = @ui
      @ui = new_ui
      yield
    ensure
      @ui = old_ui
    end

Use `new_ui` for the duration of `block`.

### Public Instance Methods

ui ()
Source

    # File lib/rubygems/user_interaction.rb, line 54
    def ui
      Gem::DefaultUserInteraction.ui
    end

See `DefaultUserInteraction::ui`

ui= (new_ui)
Source

    # File lib/rubygems/user_interaction.rb, line 61
    def ui=(new_ui)
      Gem::DefaultUserInteraction.ui = new_ui
    end

See `DefaultUserInteraction::ui=`

use_ui (new_ui, &block)
Source

    # File lib/rubygems/user_interaction.rb, line 68
    def use_ui(new_ui, &block)
      Gem::DefaultUserInteraction.use_ui(new_ui, &block)
    end

See `DefaultUserInteraction::use_ui`